/usr/share/globus/gpt-bootstrap.sh is in grid-packaging-tools 3.6.7-1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 | #!/bin/sh
error()
{
echo ""
echo "ERROR: bootstrap failed!"
echo ""
exit 1
}
# Always include globus macros
config="$aclocal_includes"
# test for local macros
if test -d "./config"; then
config="$config -I ./config"
fi
# test to see if GPT macros are in a seperate location
if test ! -f "${GPT_LOCATION:=$GLOBUS_LOCATION}/share/globus/aclocal/gpt_autoconf_macros.m4"; then
echo "ERROR Globus Packaging Tools not found" >&2
echo "ERROR either set GPT_LOCATION or install them in $GLOBUS_LOCATION" >&2
exit 1
else
config="$config -I $GPT_LOCATION/share/globus/aclocal"
fi
if test ! -h pkgdata/Makefile.am ; then
echo "installing Makefile.am in the pkgdata directory"
ln -s $GPT_LOCATION/share/globus/amdir/pkgdata_Makefile.am \
pkgdata/Makefile.am
fi
echo "running aclocal $config"
aclocal $config || error
if test -f acconfig.h ; then
echo "running autoheader"
autoheader || error
fi
OLDIFS="$IFS"
IFS="
"
for x in `echo "${PATH}" | tr ":" "\n"`; do
if test -x "$x/libtoolize"; then
libtoolize=libtoolize
break
elif test -x "$x/glibtoolize"; then
libtoolize=glibtoolize
break
fi
done
IFS="$OLDIFS"
echo "running libtoolize --copy --force"
$libtoolize --copy --force || \
$libtoolize --copy --force || error
echo "Running gpt-to-pkgconfig"
$GPT_LOCATION/sbin/gpt-to-pkgconfig pkgdata/pkg_data_src.gpt.in || error
echo "running automake --copy -add-missing --force-missing --foreign"
automake --copy --add-missing --force-missing --foreign || \
automake --copy --add-missing --force-missing --foreign || error
echo "running gpt_create_automake_rules --excludes=doxygen"
$GPT_LOCATION/sbin/gpt_create_automake_rules --excludes=doxygen || error
echo "running autoconf"
autoconf || error
|